System.Web 2.0.0.0 System.Enum

When using extending a class, member or indexer with a , you may define how the conditional expression, defined by the and properties, is used by specifying one of the values. If in the creation of the no is specified, the default value of is used.

The left side of a verification rule's conditional expression is the and the right side is the . The specifies how the is to be compared to the .

Specifies how conditional expressions defined by an instance are used in verification.

- Field
  System.Web.UI.VerificationRule

  The conditional expression specified in an instance must have a left hand side that is not an empty string ("").

  2.0.0.0
- Field
  System.Web.UI.VerificationRule

  The conditional expression specified in an instance is prohibited.

  2.0.0.0
- Field
  System.Web.UI.VerificationRule

  The conditional expression specified in an instance is required.

  2.0.0.0